parameters:
    webkul_prestashop_connector.job.job_parameters.simple_prestashop_product_import.class : Webkul\PrestashopConnectorBundle\JobParameters\Import\PrestashopProductImport
services:
    webkul_prestashop_connector.job.job_parameters.simple_prestashop_product_import:
        class: '%webkul_prestashop_connector.job.job_parameters.simple_prestashop_product_import.class%'
        arguments:
            - '@pim_catalog.repository.channel'
            - '@pim_catalog.repository.locale'
            - ['prestashop_product_import','prestashop_product_combinations_import','prestashop_family_import','prestashop_attribute_import','prestashop_category_import','prestashop_import_job']
        tags:
            - { name: akeneo_batch.job.job_parameters.constraint_collection_provider }
            - { name: akeneo_batch.job.job_parameters.default_values_provider }

    webkul_prestashop_connector.job.job_parameters.provider.prestashop_product_combinations_import:
        class: '%pim_enrich.provider.form.job_instance.class%'
        arguments:
            -
                prestashop_product_import: pim-job-instance-prestashop-product-import
                prestashop_product_combinations_import: pim-job-instance-prestashop-product-combinations-import
                prestashop_family_import: pim-job-instance-prestashop-newproduct-import
                prestashop_attribute_import: pim-job-instance-prestashop-newproduct-import
                prestashop_category_import: pim-job-instance-prestashop-newproduct-import
                prestashop_import_job: pim-job-instance-prestashop-product-import
        tags:
            - { name: pim_enrich.provider.form }